<!-- Copyright 2015 The Chromium Authors. All rights reserved.
     Use of this source code is governed by a BSD-style license that can be
     found in the LICENSE file. -->

<link rel="import" href="chrome://resources/html/polymer.html">

<link rel="import" href="chrome://resources/cr_elements/cr_input/cr_input.html">

<link rel="import" href="/components/common_styles.html">
<link rel="import" href="/components/hd_iron_icon.html">
<link rel="import" href="/components/oobe_dialog.html">
<link rel="import" href="/components/oobe_i18n_behavior.html">
<link rel="import" href="/components/throbber_notice.html">

<!--
  Password changed UI for the Gaia flow.
  Contains cards with a transition between them:
    1. Old password input form
    2. Warning about data loss
    3. Spinner with notice "Please wait"

  Example:
    <gaia-password-changed-element id="gaia-password-changed" hidden>
    </gaia-password-changed-element>

  Methods:
    'reset'      - reset element, sets in on the first screen and enables
                   buttons.
-->
<dom-module id="gaia-password-changed-element">
  <template>
    <style include="oobe-dialog-host"></style>
    <oobe-dialog role="dialog" has-buttons for-step="password" id="passwordStep"
        subtitle-key="passwordChangedTitle">
      <hd-iron-icon icon1x="oobe-32:avatar" icon2x="oobe-64:avatar"
          slot="oobe-icon">
      </hd-iron-icon>
      <h1 slot="title">[[email]]</h1>
      <div slot="footer" class="flex layout vertical oobe-form">
        <cr-input type="password" id="oldPasswordInput" required
            value="{{password_}}" invalid="{{passwordInvalid_}}"
            class="focus-on-show oobe-input"
            placeholder="[[i18nDynamic(locale, 'oldPasswordHint')]]"
            error-message="[[i18nDynamic(locale, 'oldPasswordIncorrect')]]">
        </cr-input>
        <gaia-button id="forgotPasswordLink"
            on-click="onForgotPasswordClicked_" link>
          [[i18nDynamic(locale,'forgotOldPasswordButtonText')]]
        </gaia-button>
      </div>
      <div slot="bottom-buttons" class="layout horizontal end-justified">
        <oobe-text-button id="cancel" on-click="onCancel_" text-key="cancel"
                          border>
        </oobe-text-button>
        <oobe-next-button id="next" on-click="submit_" inverse
                          text-key="nextButtonText">
        </oobe-next-button>
      </div>
    </oobe-dialog>

    <oobe-dialog role="dialog" has-buttons for-step="forgot" id="forgotPassword"
        subtitle-key="passwordChangedProceedAnywayTitle">
      <hd-iron-icon icon1x="oobe-32:warning" icon2x="oobe-64:warning"
                    slot="oobe-icon">
      </hd-iron-icon>
      <h1 slot="title">[[email]]</h1>
      <div slot="bottom-buttons" class="flex layout horizontal">
        <oobe-text-button id="tryAgain" on-click="onTryAgainClicked_"
            text-key="passwordChangedTryAgain">
        </oobe-text-button>
        <div class="flex">
        </div>
        <oobe-text-button id="proceedAnyway" on-click="onProceedClicked_"
            text-key="proceedAnywayButton" inverse>
        </oobe-text-button>
      </div>
    </oobe-dialog>

    <oobe-dialog id="progress" role="dialog" no-header for-step="progress"
        no-footer-padding>
      <div slot="footer" class="flex layout vertical center center-justified">
        <throbber-notice text-key="gaiaLoading">
        </throbber-notice>
      </div>
    </oobe-dialog>
  </template>
</dom-module>
